რატომ აღარ მუშაობს Java, Silverlight, Adobe Acrobat და სხვა მოდულები?

მოყოლებული 52 ვერსიიდან, რომელიც 2017 წლის 7 მარტს გამოვიდა, დაყენებული NPAPI-მოდულები აღარაა მხარდაჭერილი Firefox-ში, გარდა Adobe Flash-ისა. მოდულების ნაწილი აღარ იტვირთება Firefox-ში, მიუხედავად იმისა, რომ შესაძლოა დაყენებული იყოს კომპიუტერში, მათ შორის Java, Microsoft Silverlight და Adobe Acrobat. ვრცლად, იხილეთ ეს დოკუმენტი თავსებადობის შესახებ.

შენიშვნა: Widevine CDM და OpenH264-ვიდეოს გამშიფრავი მოდულები არაა NPAPI-სახეობის და კვლავ მხარდაჭერილია.

ბოლო წლების განმავლობაში, Firefox-ში ჩაემატა სხვადასხვა სახის API-ები ვებსაიტებისთვის, რის შედეგადაც მათი გამოყენება უკვე შესაძლებელია მოდულების გარეშე, ასე რომ, თქვენ უმეტეს შემთხვევაში ვერ იგრძნობთ ცვლილებებს და კვლავ ძველებურად შეგეძლებათ გვერდების მონახულება და მათი შესაძლებლობების სრულად გამოყენება.

რატომ გააკეთა Firefox-მა ეს?

ინტერნეტში არსებული ვებსაიტების უმეტესობა ვებგვერდების გამრავალფეროვნებას ცდილობს სხვადასხვა სახის შიგთავსის გამოყენებით, მათ შორის ვიდეოების, ხმოვანი ფაილებისა და თამაშების მეშვეობით. NPAPI-მოდულები კი, განსაკუთრებით Flash, უზრუნველყოფდა მათ ამუშავებას ვებგვერდებზე. თუმცა ამასთან, ნელდებოდა გვერდებზე გადაადგილების სიჩქარე, ბრაუზერი ხდებოდა მეტად დაუცველი და ხშირად, უეცრად ითიშებოდა.

ბოლო წლების განმავლობაში კი Firefox-ის გუნდი მთელი ძალისხმევით მუშაობდა, ამ მოდულების შემცვლელების შექმნისთვის. მათ ეწოდება ვებმაკავშირებლები (Web API). ისინი განკუთვნილია მოძველებული მოდულების ჩანაცვლებისთვის უსაფრთხოების, მდგრადობისა და წარმადობის გაუარესების გარეშე.

მანამ, სანამ ეს API-ები სრულად იქნებოდა მზად, Firefox-ში იყო გარდამავალი პერიოდი, როდესაც მოდულები მხოლოდ ხელით ეშვებოდა (იხილეთ მოდულების დაწკაპებით ამოქმედება).

ახლა კი ყველაფერი მზადყოფნაშია. საიტების უმეტესობა მორგებულია მათზე და თქვენი რჩეული ვებგვერდებით სარგებლობისთვის, აღარაა საჭირო ძველი და საფრთხის შემცველი მოდულების ჩაყენება. Firefox უერთდება სხვა თანამედროვე ბრაუზერებს, მათ შორის Google Chrome-სა და Microsoft Edge-ს, NPAPI-მოდულების მხარდაჭერის სრულად გაუქმებაში.

რა ვქნა, თუ ძველი ვერსიის Firefox მიყენია?

გირჩევთ განაახლოთ Firefox შეძლებისდაგვარად.

თითოეული განახლება Firefox-ზე აგვარებს ხარვეზებს და იძლევა მნიშვნელოვან გაუმჯობესებას, მათ შორის უსაფრთხოების კუთხით, რაც გიცავთ ინტერნეტში. ძველი ვერსიის ბრაუზერით სარგებლობისას, თუნდაც Firefox-ით, თქვენი პირადი მონაცემები და კომპიუტერიც კი, საფრთხის ქვეშაა.

Firefox-მა გააფართოვა მხარდაჭერა იმ შესაძლებლობების, რომლებიც ცალკე მოდულებს საჭიროებდა. ახლა უკვე ყველაფერი მუდმივად ახლდება იმართება შეზღუდვის სიების მეშვეობით, მეტი უსაფრთხოებისთვის. ასე რომ, მიმდინარე ვერსიაზე გადასვლა შეგიძლიათ ერთი დაწკაპებით Firefox-განახლებაზე.

დაგეხმარათ ეს სტატია?

გთხოვთ დაიცადოთ...

შესანიშნავი მოხალისეები, რომლებიც ამ სტატიის დაწერაში დაგვეხმარნენ:

Illustration of hands

მონაწილეობა

მიიღეთ და გაუზიარეთ გამოცდილება სხვებს. უპასუხეთ კითხვებს და განავითარეთ ჩვენი ცოდნის ბაზა.

ვრცლად